﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="iClicker Cloud" Publisher="Macmillan Learning" Version="" ReleaseDate="">
		<UserCategories>
			<Category>Pre-Approved</Category>
		</UserCategories>
		<SoftwareCategories>
			<Category>Pre-Approved</Category>
			<Category>LABS Baseline</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Macmillan Learning\iClicker Cloud\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
		<InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = '{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -eq $DisplayName}

if($RegKeyList) {
	$RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}
    if($RegKey) {
        return $true
    }
}
			</TEXT>
		</DetectionScript>
		<Custom>
			<DetectionVersionLogic TargetItem="Installer" TargetItemPath="\\server01\sources$\Macmillan Learning\iClicker Cloud\archive\{SoftwareVersion}\win_{Architecture}\Files\*.msi" TargetItemType="MSI" TargetItemProperty="ProductVersion"/>
		</Custom>
	</DeploymentType>
</Application>